Customer Accounts v0.94.0
Scroll down for code samples, example requests and responses. Select a language for code samples from the tabs above or the mobile navigation menu.
Customer-level API for listing banking accounts, balances, and other account-specific data.
Clients may use this API to:
listAccounts- obtain a list of accounts that the authorized user has access to, returning aaccountscollection with alistof account objects.listEligibleAchAccounts- obtain a list of ACH accounts that allow transfers based on SEC code and authorized account privileges.listAccountBalances- list the balances of the customer' accounts.getAccount- fetch a more complete set of properties of an internal account.- Manage overdraft protection:
listEligibleOverdraftAccounts- list accounts which may be set as overdraft protection accounts for another account.getOverdraftProtection- fetch an account's overdraft protection settings.patchOverdraftAccounts- update an account's overdraft protection settings.setOverdraftProtectionElections- overdraft protection elections (opt in, opt out) for one or more accounts.
- Manage CD renewal settings:
getCdSettings- fetch an account's CD renewal settings.patchCdSettings- update an account's CD renewal settings.changeCdMaturityDuringGracePeriod- change a CD account's maturity during the maturity grace period.listEligibleCdRenewalProducts- list products eligible for CD renewal.listEligibleCdPayoutProducts- list products for CD interest payout.
- Manage peer accounts: Peer accounts are accounts owned by other account holders at the same financial institution (bank or credit union). Adding a peer account allows one account holder to transfer funds directly to another account holder's account, bypassing normal fund transfer processes like ACH. For example, a parent can add a peer account for their child's checking account (if they are both customers/members of the same financial institution) in order to directly transfer funds to their child's account. In credit unions, this is often referred to as a "member to member transfer", although this is really a transfer from one member's deposit account to another member's checking, savings, or loan account.
generateLoanPayoffQuote- fetch the loan payoff quote for a loan account.- Manage beneficiaries:
listBeneficiaries- fetch the beneficiaries for an account.patchBeneficiaries- update the beneficiaries for an account.
- Manage beneficial owners:
listBeneficialOwners- list the beneficial owners and ownership percentages for an account.
- Manage alerts:
getAccountAlertSubscriptions- get the alert subscriptions for an account.patchAccountAlertSubscriptions- update the alert subscriptions for an account.
- Manage account collateral: Collateralization is the practice of securing an account, obligation, or financial relationship with collateral assets. Depending on the account type, the collateral may be pledged either by the financial institution or by the customer/member. Secured accounts are typically categorized as either deposit accounts (e.g., checking, savings) or loan/credit accounts. For secured deposit accounts, the financial institution pledges collateral (typically securities) to protect all or a portion of the account balance. This is commonly used when account balances exceed applicable deposit insurance limits (e.g., FDIC for banks or NCUA for credit unions). In these arrangements, pledged collateral helps ensure that funds remain protected in the event of a financial institution failure. For secured loan or credit accounts, the customer or member pledges assets to secure a borrowing relationship. Collateral may include real estate, vehicles, equipment, securities, cash deposits, or other assets. By providing collateral, borrowers may qualify for more favorable terms, such as lower interest rates, higher borrowing limits, or increased access to credit.
API Identities
This API is designed to be called from the following identity types:
- Banking customer
Download OpenAPI Definition (YAML)
Base URLs:
License: Apiture API License
Authentication
- API Key (
apiKey)- header parameter: API-Key
- API Key based client identification. See details at API Keys.
- OpenID Connect authentication (
accessToken)- OpenId Connect (OIDC) authentication/authorization. The client uses the
authorization_endpointandtoken_endpointto obtain an access token to pass in theAuthorizationheader. Those endpoints are available via the OIDC Configuration URL. The actual URL may vary with each financial institution. See details at Access Tokens. - OIDC Configuration URL =
https://auth.apiture.com/oidc/.well-known/openid-configuration
- OpenId Connect (OIDC) authentication/authorization. The client uses the
Accounts
Banking Accounts
listAccounts
Code samples
# You can also use wget
curl -X GET https://api.apiture.com/banking/accounts \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
GET https://api.apiture.com/banking/accounts HTTP/1.1
Host: api.apiture.com
Accept: application/json
const fetch = require('node-fetch');
const headers = {
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
fetch('https://api.apiture.com/banking/accounts',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
var headers = {
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
$.ajax({
url: 'https://api.apiture.com/banking/accounts',
method: 'get',
headers: headers,
success: function(data) {
console.log(JSON.stringify(data));
}
})
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.get 'https://api.apiture.com/banking/accounts',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://api.apiture.com/banking/accounts', params={
}, headers = headers)
print r.json()
URL obj = new URL("https://api.apiture.com/banking/accounts");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.apiture.com/banking/accounts", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
List Accounts
GET https://api.apiture.com/banking/accounts
Return a paginated list of the customer's accounts, consisting of internal accounts at this financial institution and accounts at other financial institutions, if any.
Parameters
| Parameter | Description |
|---|---|
unmaskedin: query | boolean When requesting an account, the full account number or full member number is not included in the response by default, for security reasons. Include this query parameter with a value of External accounts are excluded from unmasking. Such requests are auditable. |
productTypein: query | array[string] Include only accounts whose product.type is in pipe-delimited set. For example, to list only savings, checking, and CD accounts, use
|
locationin: query | string Filter accounts to just a subset of internal or external accounts (per the location property on the accountItem schema).enum values: internal, external |
allowsin: query | array[string] Filter the result to accounts that have corresponding true values in account.allows. For example ?allows=transferTo,transferFrom,view returns only accounts where account.allows.transferTo, account.allows.transferFrom, and account.allows.view are all true for the caller.unique items minItems: 1 maxItems: 11 explode: falsecomma-delimiteditems: string» enum values: billPay, transferFrom, transferTo, mobileCheckDeposit, view, viewCards, manageCards, viewLoanPayoffQuote, manageOverdraftProtectionElections, realTimePaymentFrom, realTimePaymentTo |
startin: query | string The location of the next item in the collection. This is an opaque cursor supplied by the API service. Omit this to start at the beginning of the collection. The client does not define this value; the API services automatically pass the ?start= parameter on the nextPage_url.maxLength: 256 default: "" pattern: "^[-a-zA-Z0-9.,-=_+:;@$]{0,256}$" |
limitin: query | integer(int32) The maximum number of items to return in this paged response. format: int32 minimum: 0 maximum: 1000 default: 100 |
Example responses
200 Response
{
"start": "1922a8531e8384cfa71b",
"limit": 100,
"nextPage_url": "https://api.apiture.com/banking/accounts?start=641f62296ecbf1882c84?limit=100?allows=view",
"count": 6,
"items": [
{
"id": "bf23bc970b78d27691e8",
"nickname": "Payroll Checking",
"label": "Payroll Checking *1008",
"product": {
"type": "checking",
"coreType": "DDA",
"code": "DDA01",
"label": "Business Checking",
"allows": {
"manuallyRefreshBalance": true
}
},
"maskedNumber": "*1008",
"location": "internal",
"jointOwnersCount": 0,
"spendableBalanceAccount": true,
"accountPastDue": false,
"paymentDue": false,
"state": "active",
"allows": {
"transferFrom": false,
"transferTo": true,
"billPay": false,
"mobileCheckDeposit": true,
"view": true,
"viewCards": true,
"manageCards": false,
"viewLoanPayoffQuote": false,
"realTimePaymentFrom": true,
"realTimePaymentTo": true,
"manageCdSettings": false,
"manageCdProductSettings": false
},
"overdraftProtectionElections": {
"primary": {
"election": true,
"lastUpdatedAt": "2024-03-04T04:05:24.375Z"
},
"secondary": {
"election": false
}
}
},
{
"id": "b78d27691e8bf23bc970",
"nickname": "College CD",
"label": "College CD *2017",
"product": {
"type": "cd",
"code": "CDA",
"coreType": "CD",
"label": "24 Month CD",
"allows": {
"manuallyRefreshBalance": true
}
},
"maskedNumber": "*2017",
"location": "internal",
"jointOwnersCount": 0,
"spendableBalanceAccount": false,
"accountPastDue": false,
"paymentDue": false,
"state": "active",
"allows": {
"transferFrom": false,
"transferTo": false,
"billPay": false,
"mobileCheckDeposit": false,
"view": true,
"viewCards": true,
"manageCards": false,
"viewLoanPayoffQuote": false,
"realTimePaymentFrom": true,
"realTimePaymentTo": true,
"manageCdSettings": false,
"manageCdProductSettings": false
},
"overdraftProtectionElections": {
"primary": {
"election": true,
"lastUpdatedAt": "2024-03-04T04:05:24.375Z"
},
"secondary": {
"election": false
}
}
}
]
}
Responses
| Status | Description |
|---|---|
| 200 | OK |
OK. A page from the full list of the customer's accounts. This list contains only accounts that the customer is entitled to access. While the nextPage_url property is present in the response, the client can fetch the next page of accounts by performing a GET on that URL. | |
Schema: accounts |
| Status | Description |
|---|---|
| 400 | Bad Request |
Bad Request. The request body, request headers, and/or query parameters are not well-formed. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 401 | Unauthorized |
Unauthorized. The operation requires authentication but no authentication or insufficient authentication was given. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 403 | Forbidden |
Forbidden. The authenticated caller is not authorized to perform the requested operation. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 422 | Unprocessable Entity |
Unprocessable Entity. The request body and/or query parameters were well-formed but otherwise invalid. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 429 | Too Many Requests |
Too Many Requests. The client has sent too many requests in a given amount of time. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 4XX | Unknown |
Client Request Problem. The client request had a problem not listed under another specific 400-level HTTP response code. View the detail in the problem response for additional details. | |
Schema: Inline |
| Status | Description |
|---|---|
| 5XX | Unknown |
Server Problem. The server encountered a problem not listed under another specific 500-level HTTP response code. View the detail in the problem response for additional details. | |
Schema: Inline |
Response Schema
Status Code 400
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 401
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 403
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 422
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 429
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 4XX
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 5XX
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
getAccount
Code samples
# You can also use wget
curl -X GET https://api.apiture.com/banking/accounts/{accountId} \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
GET https://api.apiture.com/banking/accounts/{accountId} HTTP/1.1
Host: api.apiture.com
Accept: application/json
const fetch = require('node-fetch');
const headers = {
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
fetch('https://api.apiture.com/banking/accounts/{accountId}',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
var headers = {
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
$.ajax({
url: 'https://api.apiture.com/banking/accounts/{accountId}',
method: 'get',
headers: headers,
success: function(data) {
console.log(JSON.stringify(data));
}
})
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.get 'https://api.apiture.com/banking/accounts/{accountId}',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://api.apiture.com/banking/accounts/{accountId}', params={
}, headers = headers)
print r.json()
URL obj = new URL("https://api.apiture.com/banking/accounts/{accountId}");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.apiture.com/banking/accounts/{accountId}", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
Get an Account
GET https://api.apiture.com/banking/accounts/{accountId}
Return details of the customer's internal account.
Parameters
| Parameter | Description |
|---|---|
accountIdin: path | resourceId (required) The unique identifier of this account resource. This is an opaque string. minLength: 6 maxLength: 48 pattern: "^[-_:.~$a-zA-Z0-9]{6,48}$" |
unmaskedin: query | boolean When requesting an account, the full account number or full member number is not included in the response by default, for security reasons. Include this query parameter with a value of External accounts are excluded from unmasking. Such requests are auditable. |
Example responses
200 Response
{
"id": "bf23bc970b78d27691e8",
"nickname": "Payroll Checking",
"label": "Payroll Checking *1008",
"maskedNumber": "*1008",
"product": {
"type": "checking",
"coreType": "DDA",
"code": "DDA01",
"label": "Business Checking",
"allows": {
"manuallyRefreshBalance": true
}
},
"location": "internal",
"jointOwnersCount": 0,
"spendableBalanceAccount": true,
"accountPastDue": false,
"paymentDue": false,
"state": "active",
"allows": {
"transferFrom": false,
"transferTo": true,
"billPay": false,
"mobileCheckDeposit": true,
"view": true,
"viewCards": true,
"manageCards": false,
"viewLoanPayoffQuote": false,
"realTimePaymentFrom": true,
"realTimePaymentTo": true,
"manageCdSettings": false,
"manageCdProductSettings": false,
"manageJointOwners": true,
"manageOverdraftAccounts": true,
"generateVerificationLetter": true,
"viewInterestDisbursement": false,
"manageInterestDisbursement": false,
"viewElectronicDocuments": true,
"viewElectronicStatements": true,
"viewBeneficiaries": true,
"manageBeneficiaries": true,
"manageAccountAccess": true,
"manageTransfers": true,
"manageAlerts": true,
"stopPayments": true,
"viewImages": true,
"manageDisputes": true,
"editTransactions": true,
"manuallyRefreshBalance": true,
"orderDebitCard": false,
"viewCollateral": false,
"makePayment": false
},
"electronicStatements": true,
"maximumJointOwners": 15,
"owner": {
"name": "Amanda Cummins"
},
"openedOn": "2026-03-10",
"overdraft": {
"protectionElections": {
"primary": {
"election": true,
"lastUpdatedAt": "2024-03-04T04:05:24.375Z"
},
"secondary": {
"election": false
}
},
"limit": "100.00"
}
}
Responses
| Status | Description |
|---|---|
| 200 | OK |
| OK. The response is a representation of the customer's account. | |
Schema: account |
| Status | Description |
|---|---|
| 400 | Bad Request |
Bad Request. The request body, request headers, and/or query parameters are not well-formed. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 401 | Unauthorized |
Unauthorized. The operation requires authentication but no authentication or insufficient authentication was given. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 403 | Forbidden |
Forbidden. The authenticated caller is not authorized to perform the requested operation. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 404 | Not Found |
Not Found. There is no such banking account resource at the specified {accountId}. The response body contains details about the request error. | |
Schema: problemResponse |
| Status | Description |
|---|---|
| 429 | Too Many Requests |
Too Many Requests. The client has sent too many requests in a given amount of time. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 4XX | Unknown |
Client Request Problem. The client request had a problem not listed under another specific 400-level HTTP response code. View the detail in the problem response for additional details. | |
Schema: Inline |
| Status | Description |
|---|---|
| 5XX | Unknown |
Server Problem. The server encountered a problem not listed under another specific 500-level HTTP response code. View the detail in the problem response for additional details. | |
Schema: Inline |
Response Schema
Status Code 400
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 401
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 403
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 429
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 4XX
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 5XX
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
getFullAccountNumber
Code samples
# You can also use wget
curl -X GET https://api.apiture.com/banking/accounts/{accountId}/fullAccountNumber \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
GET https://api.apiture.com/banking/accounts/{accountId}/fullAccountNumber HTTP/1.1
Host: api.apiture.com
Accept: application/json
const fetch = require('node-fetch');
const headers = {
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
fetch('https://api.apiture.com/banking/accounts/{accountId}/fullAccountNumber',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
var headers = {
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
$.ajax({
url: 'https://api.apiture.com/banking/accounts/{accountId}/fullAccountNumber',
method: 'get',
headers: headers,
success: function(data) {
console.log(JSON.stringify(data));
}
})
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.get 'https://api.apiture.com/banking/accounts/{accountId}/fullAccountNumber',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://api.apiture.com/banking/accounts/{accountId}/fullAccountNumber', params={
}, headers = headers)
print r.json()
URL obj = new URL("https://api.apiture.com/banking/accounts/{accountId}/fullAccountNumber");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.apiture.com/banking/accounts/{accountId}/fullAccountNumber", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
Return an account's full account number
GET https://api.apiture.com/banking/accounts/{accountId}/fullAccountNumber
Return the account's full unmasked account number. Such requests are auditable.
Parameters
| Parameter | Description |
|---|---|
accountIdin: path | resourceId (required) The unique identifier of this account resource. This is an opaque string. minLength: 6 maxLength: 48 pattern: "^[-_:.~$a-zA-Z0-9]{6,48}$" |
Example responses
200 Response
{
"fullAccountNumber": "123456789"
}
Responses
| Status | Description |
|---|---|
| 200 | OK |
| OK. The response is the account's full unmasked account number. | |
Schema: fullAccountNumberResponse |
| Status | Description |
|---|---|
| 400 | Bad Request |
Bad Request. The request body, request headers, and/or query parameters are not well-formed. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 401 | Unauthorized |
Unauthorized. The operation requires authentication but no authentication or insufficient authentication was given. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 403 | Forbidden |
Forbidden. The authenticated caller is not authorized to perform the requested operation. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 404 | Not Found |
Not Found. There is no such banking account resource at the specified {accountId}. The response body contains details about the request error. | |
Schema: problemResponse |
| Status | Description |
|---|---|
| 429 | Too Many Requests |
Too Many Requests. The client has sent too many requests in a given amount of time. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 4XX | Unknown |
Client Request Problem. The client request had a problem not listed under another specific 400-level HTTP response code. View the detail in the problem response for additional details. | |
Schema: Inline |
| Status | Description |
|---|---|
| 5XX | Unknown |
Server Problem. The server encountered a problem not listed under another specific 500-level HTTP response code. View the detail in the problem response for additional details. | |
Schema: Inline |
Response Schema
Status Code 400
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 401
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 403
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 429
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 4XX
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 5XX
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
getAccountBalance
Code samples
# You can also use wget
curl -X GET https://api.apiture.com/banking/accounts/{accountId}/accountBalance \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
GET https://api.apiture.com/banking/accounts/{accountId}/accountBalance HTTP/1.1
Host: api.apiture.com
Accept: application/json
const fetch = require('node-fetch');
const headers = {
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
fetch('https://api.apiture.com/banking/accounts/{accountId}/accountBalance',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
var headers = {
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
$.ajax({
url: 'https://api.apiture.com/banking/accounts/{accountId}/accountBalance',
method: 'get',
headers: headers,
success: function(data) {
console.log(JSON.stringify(data));
}
})
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.get 'https://api.apiture.com/banking/accounts/{accountId}/accountBalance',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://api.apiture.com/banking/accounts/{accountId}/accountBalance', params={
}, headers = headers)
print r.json()
URL obj = new URL("https://api.apiture.com/banking/accounts/{accountId}/accountBalance");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.apiture.com/banking/accounts/{accountId}/accountBalance", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
Get Account Balance
GET https://api.apiture.com/banking/accounts/{accountId}/accountBalance
Return the requested internal account's balance.
The caller must have entitlements to view the account's details, as indicated by a true value for account.allows.view. Requests to get the balance for an account the user is not allowed to read results in a 403 Forbidden response.
Parameters
| Parameter | Description |
|---|---|
ignoreCachein: query | boolean If true, retrieve new balance data from the core rather than from the cache. |
accountIdin: path | resourceId (required) The unique identifier of this account resource. This is an opaque string. minLength: 6 maxLength: 48 pattern: "^[-_:.~$a-zA-Z0-9]{6,48}$" |
Example responses
200 Response
{
"id": "05d00d7d-d630",
"available": "3208.20",
"current": "3448.72",
"computedBalanceDifference": "-240.52",
"currentWithPending": "3448.72",
"updatedAt": "2022-05-02T06:51:19.375Z",
"incomplete": false,
"primary": {
"balance": "3208.20",
"label": "Available",
"description": "The amount of money available for use, typically the previous day's closing balance plus or minus any pending transactions"
},
"initialFunding": false,
"interest": {
"yearToDate": "284.32",
"priorYear": "837.20",
"accrued": "60.12"
}
}
Responses
| Status | Description |
|---|---|
| 200 | OK |
| OK. The response contains the balance for the account. | |
Schema: accountBalance |
| Status | Description |
|---|---|
| 401 | Unauthorized |
Unauthorized. The operation requires authentication but no authentication or insufficient authentication was given. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 403 | Forbidden |
Forbidden. The authenticated caller is not authorized to perform the requested operation. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 404 | Not Found |
Not Found. There is no such banking account resource at the specified {accountId}. The response body contains details about the request error. | |
Schema: problemResponse |
| Status | Description |
|---|---|
| 429 | Too Many Requests |
Too Many Requests. The client has sent too many requests in a given amount of time. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 503 | Service Unavailable |
| Service Unavailable. Could not fetch the account balance from the banking core. | |
Schema: problemResponse |
| Status | Description |
|---|---|
| 4XX | Unknown |
Client Request Problem. The client request had a problem not listed under another specific 400-level HTTP response code. View the detail in the problem response for additional details. | |
Schema: Inline |
| Status | Description |
|---|---|
| 5XX | Unknown |
Server Problem. The server encountered a problem not listed under another specific 500-level HTTP response code. View the detail in the problem response for additional details. | |
Schema: Inline |
Response Schema
Status Code 401
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 403
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 429
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 4XX
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 5XX
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
listAccountBalances
Code samples
# You can also use wget
curl -X GET https://api.apiture.com/banking/accountBalances \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
GET https://api.apiture.com/banking/accountBalances HTTP/1.1
Host: api.apiture.com
Accept: application/json
const fetch = require('node-fetch');
const headers = {
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
fetch('https://api.apiture.com/banking/accountBalances',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
var headers = {
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
$.ajax({
url: 'https://api.apiture.com/banking/accountBalances',
method: 'get',
headers: headers,
success: function(data) {
console.log(JSON.stringify(data));
}
})
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.get 'https://api.apiture.com/banking/accountBalances',
params: {
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://api.apiture.com/banking/accountBalances', params={
}, headers = headers)
print r.json()
URL obj = new URL("https://api.apiture.com/banking/accountBalances");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.apiture.com/banking/accountBalances", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
List Account Balances
GET https://api.apiture.com/banking/accountBalances
Return a list of the requested internal accounts' balances. The accounts query parameter is a list of account IDs which typically comes from the getAccounts operation response. The returned list does not include external accounts. The caller must have entitlements to view each account's details, as indicated by a true value for account.allows.view. Requests to list balances for accounts the user is not allowed to read results in a 403 Forbidden response.
The response may be incomplete. Given a Retry-After response header, the client can retry the operation after a short delay, requesting only the accounts which are incomplete; see the 202 Accepted response for details.
Parameters
| Parameter | Description |
|---|---|
accountsin: query | accountIds The unique account identifiers of one or more internal accounts. (Internal accounts are those with location value of internal.) If omitted, this operation uses the accounts for which the customer has view permissions but is limited to at most 1000 accounts. Note: The account IDs are unrelated to the account number.unique items minItems: 1 maxItems: 1000 explode: falsecomma-delimiteditems: string» minLength: 6 » maxLength: 48 » pattern: "^[-_:.~$a-zA-Z0-9]{6,48}$" |
retryCountin: query | integer(int32) When retrying the operation, pass the retryCount from the incompleteAccountBalances response.format: int32 minimum: 1 maximum: 10 |
Example responses
200 Response
{
"items": [
{
"id": "05d00d7d-d630",
"available": "3208.20",
"current": "3448.72",
"currentWithPending": "3448.72",
"updatedAt": "2022-05-02T06:51:19.375Z",
"incomplete": false,
"primary": {
"balance": "3208.20",
"label": "Available",
"description": "The amount of money available for use, typically the previous day's closing balance plus or minus any pending transactions"
},
"initialFunding": false,
"interest": {
"yearToDate": "284.32",
"priorYear": "837.20",
"accrued": "60.12"
}
},
{
"id": "cb5d67ea-a5c3",
"available": "1750.80",
"current": "1956.19",
"currentWithPending": "1956.19",
"updatedAt": "2022-05-02T06:51:19.375Z",
"incomplete": false,
"primary": {
"balance": "1956.19",
"label": "Current",
"description": "Total account value including principal and earned interest"
},
"initialFunding": false,
"interest": {
"yearToDate": "102.44",
"priorYear": "308.59",
"accrued": "23.09"
}
}
]
}
422 Response
{
"id": "3fbad566-be86-4b22-9ba6-3ca99fdc0799",
"type": "https://api.apiture.com/errors/invalidAccountId/v1.0.0",
"title": "Unprocessable Entity",
"status": 422,
"occurredAt": "2022-04-25T12:42:21.375Z",
"detail": "No such account exists for the given account ID.",
"instance": "https://api.apiture.com/banking/accountBalances?accounts=bb709151-575041fcd617"
}
{
"id": "3fbad566-be86-4b22-9ba6-3ca99fdc0799",
"type": "https://api.apiture.com/errors/invalidAccountId/v1.0.0",
"title": "Unprocessable Entity",
"status": 422,
"occurredAt": "2022-04-25T12:42:21.375Z",
"detail": "No such account exists for the given account ID.",
"instance": "https://api.apiture.com/banking/accountBalances?accounts=bb709151-575041fcd617"
}
Responses
| Status | Description |
|---|---|
| 200 | OK |
OK. The response contains the balances for all the accounts in the ?accounts= query parameter. | |
Schema: accountBalances | |
| 202 | Accepted |
Accepted. The service accepted the request but could not provide balances for all the requested accounts and returned an incomplete response. Try the call again after the time in the Retry-After response header has passed, and request only those accounts which are incomplete. If there is no Retry-After response header, the client has reached its maximum number of tries and should not retry the operation. | |
Schema: incompleteAccountBalances | |
| Header | Retry-Afterstring text |
Indicates an absolute time, in HTTP Examples:
|
| Status | Description |
|---|---|
| 401 | Unauthorized |
Unauthorized. The operation requires authentication but no authentication or insufficient authentication was given. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 403 | Forbidden |
Forbidden. The authenticated caller is not authorized to perform the requested operation. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 422 | Unprocessable Entity |
Unprocessable Entity. The request body and/or query parameters were well-formed but otherwise invalid. This problem response may have one of the following
| |
Schema: problemResponse |
| Status | Description |
|---|---|
| 429 | Too Many Requests |
Too Many Requests. The client has sent too many requests in a given amount of time. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 503 | Service Unavailable |
| Service Unavailable. Could not fetch the account balance from the banking core. | |
Schema: problemResponse |
| Status | Description |
|---|---|
| 4XX | Unknown |
Client Request Problem. The client request had a problem not listed under another specific 400-level HTTP response code. View the detail in the problem response for additional details. | |
Schema: Inline |
| Status | Description |
|---|---|
| 5XX | Unknown |
Server Problem. The server encountered a problem not listed under another specific 500-level HTTP response code. View the detail in the problem response for additional details. | |
Schema: Inline |
Response Schema
Status Code 401
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 403
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 429
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 4XX
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 5XX
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
listEligibleAchAccounts
Code samples
# You can also use wget
curl -X GET https://api.apiture.com/banking/achEligibleAccounts?allows=billPay&secCode=arc \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
GET https://api.apiture.com/banking/achEligibleAccounts?allows=billPay&secCode=arc HTTP/1.1
Host: api.apiture.com
Accept: application/json
const fetch = require('node-fetch');
const headers = {
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
fetch('https://api.apiture.com/banking/achEligibleAccounts?allows=billPay&secCode=arc',
{
method: 'GET',
headers: headers
})
.then(function(res) {
return res.json();
}).then(function(body) {
console.log(body);
});
var headers = {
'Accept':'application/json',
'Authorization':'Bearer {access-token}'
};
$.ajax({
url: 'https://api.apiture.com/banking/achEligibleAccounts',
method: 'get',
data: '?allows=billPay&secCode=arc',
headers: headers,
success: function(data) {
console.log(JSON.stringify(data));
}
})
require 'rest-client'
require 'json'
headers = {
'Accept' => 'application/json',
'Authorization' => 'Bearer {access-token}'
}
result = RestClient.get 'https://api.apiture.com/banking/achEligibleAccounts',
params: {
'allows' => 'array[string]',
'secCode' => '[achSecCode](#schema-achSecCode)'
}, headers: headers
p JSON.parse(result)
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://api.apiture.com/banking/achEligibleAccounts', params={
'allows': [
"billPay"
], 'secCode': 'arc'
}, headers = headers)
print r.json()
URL obj = new URL("https://api.apiture.com/banking/achEligibleAccounts?allows=billPay&secCode=arc");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("GET");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response.toString());
package main
import (
"bytes"
"net/http"
)
func main() {
headers := map[string][]string{
"Accept": []string{"application/json"},
"Authorization": []string{"Bearer {access-token}"},
}
data := bytes.NewBuffer([]byte{jsonReq})
req, err := http.NewRequest("GET", "https://api.apiture.com/banking/achEligibleAccounts", data)
req.Header = headers
client := &http.Client{}
resp, err := client.Do(req)
// ...
}
List Eligible ACH Accounts
GET https://api.apiture.com/banking/achEligibleAccounts
Return a paginated list of a customer's accounts that are eligible for ACH transfers based on allowed privileges.
Optionally, an agent can access a business customer's ACH accounts when acting on behalf of that business customer via the optional customerId query parameter.
Parameters
| Parameter | Description |
|---|---|
unmaskedin: query | boolean When requesting an account, the full account number or full member number is not included in the response by default, for security reasons. Include this query parameter with a value of External accounts are excluded from unmasking. Such requests are auditable. |
allowsin: query | array[string] (required) Filter the result to accounts that have corresponding true values in account.allows. For example ?allows=transferTo,transferFrom,view returns only accounts where account.allows.transferTo, account.allows.transferFrom, and account.allows.view are all true for the caller.unique items minItems: 1 maxItems: 11 comma-delimiteditems: string» enum values: billPay, transferFrom, transferTo, mobileCheckDeposit, view, viewCards, manageCards, viewLoanPayoffQuote, manageOverdraftProtectionElections, realTimePaymentFrom, realTimePaymentTo |
secCodein: query | achSecCode (required) Filter the result to accounts that allow ACH transfers of the given Standard Entry Class (SEC) codes. enum values: arc, boc, ccd, cie, ctx, pop, ppd, rck, tel, web |
customerIdin: query | resourceId The optional identifier of a business customer. This is an opaque string. An agent who is operating on behalf of a business can use this to access the resources of that business customer. The agent must have entitlements to act on behalf of the business; if not, the operation returns a 403 Forbidden response. This must match the business' customer ID (not their access ID). For other situations, omit this value. minLength: 6 maxLength: 48 pattern: "^[-_:.~$a-zA-Z0-9]{6,48}$" |
startin: query | string The location of the next item in the collection. This is an opaque cursor supplied by the API service. Omit this to start at the beginning of the collection. The client does not define this value; the API services automatically pass the ?start= parameter on the nextPage_url.maxLength: 256 default: "" pattern: "^[-a-zA-Z0-9.,-=_+:;@$]{0,256}$" |
limitin: query | integer(int32) The maximum number of items to return in this paged response. format: int32 minimum: 0 maximum: 1000 default: 100 |
Example responses
200 Response
{
"start": "1922a8531e8384cfa71b",
"limit": 100,
"nextPage_url": "https://api.apiture.com/banking/accounts?start=641f62296ecbf1882c84?limit=100?allows=view",
"count": 6,
"items": [
{
"id": "bf23bc970b78d27691e8",
"nickname": "Payroll Checking",
"label": "Payroll Checking *1008",
"product": {
"type": "checking",
"coreType": "DDA",
"code": "DDA01",
"label": "Business Checking",
"allows": {
"manuallyRefreshBalance": true
}
},
"maskedNumber": "*1008",
"location": "internal",
"jointOwnersCount": 0,
"spendableBalanceAccount": true,
"accountPastDue": false,
"paymentDue": false,
"state": "active",
"allows": {
"transferFrom": false,
"transferTo": true,
"billPay": false,
"mobileCheckDeposit": true,
"view": true,
"viewCards": true,
"manageCards": false,
"viewLoanPayoffQuote": false,
"realTimePaymentFrom": true,
"realTimePaymentTo": true,
"manageCdSettings": false,
"manageCdProductSettings": false
},
"overdraftProtectionElections": {
"primary": {
"election": true,
"lastUpdatedAt": "2024-03-04T04:05:24.375Z"
},
"secondary": {
"election": false
}
}
},
{
"id": "b78d27691e8bf23bc970",
"nickname": "College CD",
"label": "College CD *2017",
"product": {
"type": "cd",
"code": "CDA",
"coreType": "CD",
"label": "24 Month CD",
"allows": {
"manuallyRefreshBalance": true
}
},
"maskedNumber": "*2017",
"location": "internal",
"jointOwnersCount": 0,
"spendableBalanceAccount": false,
"accountPastDue": false,
"paymentDue": false,
"state": "active",
"allows": {
"transferFrom": false,
"transferTo": false,
"billPay": false,
"mobileCheckDeposit": false,
"view": true,
"viewCards": true,
"manageCards": false,
"viewLoanPayoffQuote": false,
"realTimePaymentFrom": true,
"realTimePaymentTo": true,
"manageCdSettings": false,
"manageCdProductSettings": false
},
"overdraftProtectionElections": {
"primary": {
"election": true,
"lastUpdatedAt": "2024-03-04T04:05:24.375Z"
},
"secondary": {
"election": false
}
}
}
]
}
Responses
| Status | Description |
|---|---|
| 200 | OK |
OK. A page from the full list of the customer's ACH-eligible accounts. This list contains only accounts that the customer is entitled to access. While the nextPage_url property is present in the response, the client can fetch the next page of accounts by performing a GET on that URL. | |
Schema: accounts |
| Status | Description |
|---|---|
| 400 | Bad Request |
Bad Request. The request body, request headers, and/or query parameters are not well-formed. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 401 | Unauthorized |
Unauthorized. The operation requires authentication but no authentication or insufficient authentication was given. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 403 | Forbidden |
Forbidden. The authenticated caller is not authorized to perform the requested operation. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 422 | Unprocessable Entity |
Unprocessable Entity. The request body and/or query parameters were well-formed but otherwise invalid. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 429 | Too Many Requests |
Too Many Requests. The client has sent too many requests in a given amount of time. This problem response may have one of the following
| |
Schema: Inline |
| Status | Description |
|---|---|
| 4XX | Unknown |
Client Request Problem. The client request had a problem not listed under another specific 400-level HTTP response code. View the detail in the problem response for additional details. | |
Schema: Inline |
| Status | Description |
|---|---|
| 5XX | Unknown |
Server Problem. The server encountered a problem not listed under another specific 500-level HTTP response code. View the detail in the problem response for additional details. | |
Schema: Inline |
Response Schema
Status Code 400
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 401
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 403
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 422
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 429
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
| » problems | array: Optional root-causes if there are multiple problems in the request or API call processing. maxItems: 128 |
| » attributes | Additional optional attributes related to the problem. This data conforms to the schema associated with the error type. |
Status Code 4XX
| Property Name | Description |
|---|---|
| Problem Response (v0.4.2) | API problem or error response, as per RFC 9457 application/problem+json. |
| » type | A URI reference (RFC3986) that identifies the problem type. If present, this is the URL of human-readable HTML documentation for the problem type. When this member is not present, its value is assumed to be "about:blank". maxLength: 2048 |
| » title | A short, human-readable summary of the problem type. The title is usually the same for all problems with the same type. maxLength: 120 |
| » status | The HTTP status code for this occurrence of the problem. minimum: 100 maximum: 599 |
| » detail | A human-readable explanation specific to this occurrence of the problem. maxLength: 256 |
| » instance | A URI reference that identifies the specific occurrence of the problem. This is the URI of an API resource that the problem is related to, with a unique error correlation ID URI fragment maxLength: 2048 |
| » id | The unique identifier for this problem. This is an immutable opaque string. minLength: 6 maxLength: 48 pattern: ^[-_:.~$a-zA-Z0-9]{6,48}$ |
| » occurredAt | The timestamp when the problem occurred, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. minLength: 20 maxLength: 30 |
[...]
